### Enumeration

# Ggit SubmoduleIgnore

#### Declaration

    enum Ggit.SubmoduleIgnore

#### Description [src]

Describes which submodules should be ignored.

#### Members

`GGIT_SUBMODULE_IGNORE_UNSPECIFIED`

  Reset to on-disk value.

  - Value: `-1`
  - Available since: 1.0
`GGIT_SUBMODULE_IGNORE_NONE`

  Don’t ignore any change.

  - Value: `1`
  - Available since: 1.0
`GGIT_SUBMODULE_IGNORE_UNTRACKED`

  Ignore untracked files.

  - Value: `2`
  - Available since: 1.0
`GGIT_SUBMODULE_IGNORE_DIRTY`

  Ignore changes in the working directory.

  - Value: `3`
  - Available since: 1.0
`GGIT_SUBMODULE_IGNORE_ALL`

  Never check if the submodule is dirty.

  - Value: `4`
  - Available since: 1.0